Level snapshot persistence from Go trade-executor
curl --request POST \
--url https://api.example.com/api/internal/intraday/{symbol}/levels \
--header 'Content-Type: application/json' \
--data '
{
"symbol": "<string>",
"vwap": 123,
"ib_high": 123,
"ib_low": 123,
"or_high": 123,
"or_low": 123,
"prior_high": 123,
"prior_low": 123,
"prior_close": 123,
"overnight_high": 123,
"overnight_low": 123,
"price": 123,
"cum_volume": 123,
"phase": "<string>"
}
'import requests
url = "https://api.example.com/api/internal/intraday/{symbol}/levels"
payload = {
"symbol": "<string>",
"vwap": 123,
"ib_high": 123,
"ib_low": 123,
"or_high": 123,
"or_low": 123,
"prior_high": 123,
"prior_low": 123,
"prior_close": 123,
"overnight_high": 123,
"overnight_low": 123,
"price": 123,
"cum_volume": 123,
"phase": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
symbol: '<string>',
vwap: 123,
ib_high: 123,
ib_low: 123,
or_high: 123,
or_low: 123,
prior_high: 123,
prior_low: 123,
prior_close: 123,
overnight_high: 123,
overnight_low: 123,
price: 123,
cum_volume: 123,
phase: '<string>'
})
};
fetch('https://api.example.com/api/internal/intraday/{symbol}/levels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Intraday Internal
Level snapshot persistence from Go trade-executor
Receives an intraday level snapshot (VWAP, IB, OR, etc.) from the Go trade-executor. Localhost-only, no authentication required.
POST
/
api
/
internal
/
intraday
/
{symbol}
/
levels
Level snapshot persistence from Go trade-executor
Path Parameters
Body
application/json
Level snapshot from Go trade-executor.
Response
Level snapshot accepted
The response is of type Response Receive Level Snapshot Api Internal Intraday Symbol Levels Post · object.